
QGIS Application - Bug report #14281

Embedding layers does not work

2016-02-11 03:34 AM - Sebastian Dietrich

Status: Closed

Priority: Severe/Regression

Assignee: Hugo Mercier

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22275

Description

When embedding a simple layer from a project, I can select the layer I want to embed, but it does not show up in the legend or the

canvas. There is no error message either.

This is a regression, since it worked in 2.12

Reproduce:

    -  Create new project

    -  Create a memory layer

    -  Save the project as TestForEmbedding.qgs

    -  Create new project

    -  Embed the layer from TestForEmbedding.qgs

    -  Result

        -  Expected: The (empty) layer is shown in the legend

        -  Actual: Nothing

I attached a sample project so you can skip the first three steps.

Associated revisions

Revision 6bbe3b93 - 2016-02-12 09:16 AM - Hugo Mercier

Fix DependencySorter.sortedLayerIds. Fixes #14281

History

#1 - 2016-02-11 03:35 AM - Sebastian Dietrich

I bisected the bug to commit:7e5915ec793098a367667b8876dadd4ac825d66a.

#2 - 2016-02-11 08:01 AM - Hugo Mercier

- Assignee set to hartmut-tschauner-gmail-com -

Thanks, I'll try to have a look soon

#3 - 2016-02-11 08:11 AM - Sebastian Dietrich

- Assignee changed from hartmut-tschauner-gmail-com - to Hugo Mercier
@Hugo Mercier

Good. I think you mistakenly assigned somebody else here and re-assigned the issue to you. If that is not correct, please let me know or re-assign it again.

#4 - 2016-02-12 12:32 AM - Hugo Mercier

- Status changed from Open to Closed

Fixed in changeset commit:"6bbe3b93a22a310754f55f739c6cef8b1043a902".

Files

TestForEmbedding.qgs 7.17 KB 2016-02-11 Sebastian Dietrich
